---
updatedAt: 2026-05-19T16:20:43.000Z
agentTools:
  projectIndex: https://docs.gtm.ai/llms.txt
---

# Enrich Scoops

Enrich the specified company with relevant Scoops. A company identifier must be provided (companyId, companyName, companyWebsite); 
all other criteria are optional.

Input parameters may require specific values. You can use the [Lookup Data](ref:lookupinterface_lookup)
endpoint to retrieve the list of possible values.

Use Enrich Scoops to find Scoops for a specific ZoomInfo company. To find Scoops across the entire database of
ZoomInfo Companies, use the [Search Scoops](ref:searchinterface_searchscoop) endpoint.

With reference to ZoomInfo's [Credit Usage and Limits](doc:credit-usage-and-limits), a credit will be counted for the enriched
company. Each Scoop returned in the results does count towards the customer's Record limit and a successful response 
will count towards the Request limit. For example, a successful response that returns 10 Scoops, 1 credit will be charged if
applicable, 10 Records will be counted, and 1 Request will be counted.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Data API V1",
    "version": "1.0",
    "contact": {
      "name": "ZoomInfo Customer Support",
      "email": "help@zoominfo.com"
    },
    "description": "The Data API"
  },
  "tags": [
    {
      "name": "Enrich"
    }
  ],
  "paths": {
    "/data/v1/scoops/enrich": {
      "post": {
        "operationId": "EnrichInterface_enrichScoop",
        "summary": "Enrich Scoops",
        "description": "Enrich the specified company with relevant Scoops. A company identifier must be provided (companyId, companyName, companyWebsite); \nall other criteria are optional.\n\nInput parameters may require specific values. You can use the [Lookup Data](ref:lookupinterface_lookup)\nendpoint to retrieve the list of possible values.\n\nUse Enrich Scoops to find Scoops for a specific ZoomInfo company. To find Scoops across the entire database of\nZoomInfo Companies, use the [Search Scoops](ref:searchinterface_searchscoop) endpoint.\n\nWith reference to ZoomInfo's [Credit Usage and Limits](doc:credit-usage-and-limits), a credit will be counted for the enriched\ncompany. Each Scoop returned in the results does count towards the customer's Record limit and a successful response \nwill count towards the Request limit. For example, a successful response that returns 10 Scoops, 1 credit will be charged if\napplicable, 10 Records will be counted, and 1 Request will be counted.",
        "parameters": [
          {
            "name": "page[number]",
            "in": "query",
            "required": false,
            "description": "Page number for the results.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "minimum": 1
            },
            "explode": false
          },
          {
            "name": "page[size]",
            "in": "query",
            "required": false,
            "description": "Number of records to return per page. Default is 25.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "minimum": 1,
              "maximum": 100
            },
            "explode": false
          },
          {
            "name": "sort",
            "in": "query",
            "required": false,
            "description": "Sort results by valid output fields: scoopId, originalPublishedDate, description, link, or linkText. Add minus sign ('-') for descending order.",
            "schema": {
              "type": "string"
            },
            "explode": false
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ScoopEnrichResponse"
                },
                "examples": {
                  "Enrich scoops by company name and multiple scoop types": {
                    "summary": "Enrich scoops by company name and multiple scoop types",
                    "description": "This example demonstrates how to enrich scoops using the ZoomInfo API by filtering on company name and multiple scoop types. In this example, we search for ZoomInfo company scoops with scoop types '1,6,7,8' (covering various types including Awards, Events, and Facilities changes), within a date range from November 1, 2018, to June 21, 2020. The response returns 3 diverse scoops showing different types of company activities and achievements.",
                    "value": {
                      "data": [
                        {
                          "type": "Scoop",
                          "id": "1811048",
                          "attributes": {
                            "id": "1811048",
                            "company": {
                              "id": "344589814",
                              "name": "ZoomInfo"
                            },
                            "description": "ZoomInfo has announced plans to move its Grand Rapids, MI office to a new 10,000 square-foot location at 435 Ionia Ave Southwest. The location is expected to open in February 2020.",
                            "originalPublishedDate": "2020-02-11T00:00:00Z",
                            "publishedDate": "2020-02-11T00:00:00Z",
                            "topics": [
                              {
                                "id": "34",
                                "topic": "Facilities Relocation/Expansion"
                              }
                            ],
                            "types": [
                              {
                                "id": "8",
                                "type": "Facilities Relocation / Expansion"
                              }
                            ]
                          }
                        },
                        {
                          "type": "Scoop",
                          "id": "1725335",
                          "attributes": {
                            "id": "1725335",
                            "company": {
                              "id": "344589814",
                              "name": "ZoomInfo"
                            },
                            "description": "ZoomInfo will be sponsoring Dreamforce, which will be held November 19-22, 2019 in San Francisco, CA.",
                            "originalPublishedDate": "2019-11-12T00:00:00Z",
                            "publishedDate": "2019-11-12T00:00:00Z",
                            "topics": [
                              {
                                "id": "38",
                                "topic": "Events"
                              }
                            ],
                            "types": [
                              {
                                "id": "7",
                                "type": "Event"
                              }
                            ]
                          }
                        },
                        {
                          "type": "Scoop",
                          "id": "1620555",
                          "attributes": {
                            "id": "1620555",
                            "company": {
                              "id": "344589814",
                              "name": "ZoomInfo"
                            },
                            "description": "ZoomInfo has been ranked #2423 on the 2019 Inc. 5000 list, which recognizes the fastest-growing privately-held companies in the United States.",
                            "originalPublishedDate": "2019-08-27T00:00:00Z",
                            "publishedDate": "2019-08-27T00:00:00Z",
                            "topics": [
                              {
                                "id": "5",
                                "topic": "Award"
                              }
                            ],
                            "types": [
                              {
                                "id": "6",
                                "type": "Award"
                              }
                            ]
                          }
                        }
                      ],
                      "links": {
                        "first": "uri=/data/v1/scoops/enrich?page[number]=1&page[size]=25",
                        "last": "uri=/data/v1/scoops/enrich?page[number]=1&page[size]=25"
                      },
                      "meta": {
                        "page": {
                          "number": 1,
                          "total": 3
                        },
                        "totalResults": 3
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          }
        },
        "tags": [
          "Enrich"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/vnd.api+json": {
              "schema": {
                "$ref": "#/components/schemas/ScoopEnrichRequest"
              },
              "examples": {
                "Enrich scoops by company name and multiple scoop types": {
                  "summary": "Enrich scoops by company name and multiple scoop types",
                  "description": "This example demonstrates how to enrich scoops using the ZoomInfo API by filtering on company name and multiple scoop types. In this example, we search for ZoomInfo company scoops with scoop types '1,6,7,8' (covering various types including Awards, Events, and Facilities changes), within a date range from November 1, 2018, to June 21, 2020. The response returns 3 diverse scoops showing different types of company activities and achievements.",
                  "value": {
                    "data": {
                      "type": "ScoopEnrich",
                      "attributes": {
                        "publishedStartDate": "2018-11-01",
                        "publishedEndDate": "2020-06-21",
                        "scoopType": "1,6,7,8",
                        "companyName": "ZoomInfo"
                      }
                    }
                  }
                }
              }
            }
          },
          "description": "The request body containing news enrich criteria."
        },
        "security": [
          {
            "OAuth2Auth": [
              "api:data:scoops"
            ]
          }
        ],
        "x-additional-content-types": [
          "application/json"
        ],
        "x-api-roles": [
          "fea:zia",
          "fea:api"
        ],
        "x-api-role-requirement": "ANY_REQUIRED"
      }
    }
  },
  "security": [
    {
      "OAuth2Auth": []
    }
  ],
  "components": {
    "schemas": {
      "Page": {
        "type": "object",
        "required": [
          "total",
          "number"
        ],
        "properties": {
          "total": {
            "type": "integer",
            "format": "uint32",
            "description": "The total number of pages within the current result set"
          },
          "number": {
            "type": "integer",
            "format": "uint32",
            "description": "The current page number of the results"
          }
        },
        "description": "Meta information related to the current page and total number of pages"
      },
      "ResultMeta": {
        "type": "object",
        "required": [
          "totalResults",
          "page"
        ],
        "properties": {
          "totalResults": {
            "type": "integer",
            "format": "uint32",
            "description": "The total number of results based on the specified filters"
          },
          "page": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Page"
              }
            ],
            "description": "Paging information for the current result set"
          }
        },
        "description": "Metadata including paging information and the total number of records in the result set"
      },
      "Links": {
        "type": "object",
        "properties": {
          "first": {
            "type": "string",
            "format": "uri",
            "description": "A link to the first page of data"
          },
          "last": {
            "type": "string",
            "format": "uri",
            "description": "A link to the last page of data"
          },
          "prev": {
            "type": "string",
            "format": "uri",
            "description": "A link to the previous page of data"
          },
          "next": {
            "type": "string",
            "format": "uri",
            "description": "A link to the next page of data"
          }
        },
        "description": "Helpful links for fetching different pages of data from the current result set. When using these links, please provide the exact same request body between requests"
      },
      "ZoomInfo.Core.Foundations.ErrorSourceModel": {
        "type": "object",
        "properties": {
          "cookie": {
            "type": "string",
            "description": "Identifies the cookie name that caused the issue"
          },
          "header": {
            "type": "string",
            "description": "Identifies the header name that caused the error"
          },
          "pointer": {
            "type": "string",
            "description": "An RFC 6901 compliant JSON pointer to the entity in the request body that caused the error"
          },
          "parameter": {
            "type": "string",
            "description": "The name of the path or query parameter that caused the error"
          }
        }
      },
      "ZoomInfo.Core.Foundations.ErrorModel": {
        "type": "object",
        "required": [
          "id",
          "code",
          "status"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique id used to identify this specific error instance"
          },
          "code": {
            "type": "string",
            "description": "The error code describing the error category. A full list of error codes can be found in the documentation for each service"
          },
          "detail": {
            "type": "string",
            "description": "Message containing the specific details about this occurrence of the error"
          },
          "source": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorSourceModel"
              }
            ],
            "description": "An optional object identifying which part of the request caused the error"
          },
          "status": {
            "type": "string",
            "description": "The HTTP status code for the error"
          },
          "title": {
            "type": "string",
            "description": "The error name that describes this type of error"
          }
        },
        "description": "The object describing a specific error from the API"
      },
      "ZoomInfo.Core.Foundations.ErrorResponseModel": {
        "type": "object",
        "required": [
          "errors"
        ],
        "properties": {
          "detail": {
            "type": "string",
            "description": "A high-level detail of the error(s) that occurred during the request"
          },
          "title": {
            "type": "string",
            "description": "A high-level summary of the error(s) detected"
          },
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorModel"
            },
            "description": "The list of errors raised during the request"
          }
        },
        "description": "The standard error response body model for the ZoomInfo API."
      },
      "JobFunction": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "description": "Name of the job function."
          },
          "department": {
            "type": "string",
            "description": "Department associated with the job function."
          }
        },
        "description": "Contact job function at current place of employment."
      },
      "ScoopCompany": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique ZoomInfo identifier for a company."
          },
          "name": {
            "type": "string",
            "description": "Company name."
          }
        },
        "description": "ScoopCompany"
      },
      "ScoopContact": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "description": "Unique ZoomInfo identifier for a person."
          },
          "firstName": {
            "type": "string",
            "description": "Contact first name."
          },
          "lastName": {
            "type": "string",
            "description": "Contact last name."
          },
          "jobTitle": {
            "type": "string",
            "description": "Contact job title at current place of employment."
          },
          "jobFunction": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/JobFunction"
            },
            "description": "Contact job function at their current place of employment."
          }
        },
        "description": "ScoopContact"
      },
      "ScoopEnrichResponseAttributes": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "ZoomInfo unique identifier for a scoop."
          },
          "publishedDate": {
            "type": "string",
            "format": "date-time",
            "description": "Date when a scoop was published."
          },
          "originalPublishedDate": {
            "type": "string",
            "format": "date-time",
            "description": "Date when a scoop was originally published."
          },
          "linkText": {
            "type": "string",
            "description": "Link text for a scoop."
          },
          "link": {
            "type": "string",
            "description": "URL for a scoop."
          },
          "description": {
            "type": "string",
            "description": "Description associated with the scoop"
          },
          "topics": {
            "type": "array",
            "items": {
              "type": "object",
              "additionalProperties": {}
            },
            "description": "Scoop topics."
          },
          "updateText": {
            "type": "string",
            "description": "Text related to an updated scoop."
          },
          "types": {
            "type": "array",
            "items": {
              "type": "object",
              "additionalProperties": {}
            },
            "description": "Types associated with a scoop."
          },
          "company": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ScoopCompany"
              }
            ],
            "description": "Company"
          },
          "contacts": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ScoopContact"
            },
            "description": "Contacts associated with a scoop."
          }
        },
        "description": "Scoop enrich response attributes."
      },
      "ScoopEnrichResponseResource": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "Scoop",
            "pattern": "Scoop"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ScoopEnrichResponseAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Scoop"
      },
      "ScoopEnrichResponse": {
        "type": "object",
        "required": [
          "data"
        ],
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ScoopEnrichResponseResource"
            },
            "description": "The primary data of the document"
          },
          "meta": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ResultMeta"
              }
            ],
            "description": "Non-standard meta information about the document"
          },
          "links": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Links"
              }
            ],
            "description": "Links related to the primary data"
          }
        },
        "description": "A list of scoop that match the criteria specified in the request"
      },
      "ScoopEnrichRequestAttributes": {
        "type": "object",
        "properties": {
          "publishedStartDate": {
            "type": "string",
            "format": "date",
            "description": "Starting date to search for scoops based on publication date. Form a range using publishedEndDate or omit publishedEndDate to search to the current date. Uses YYYY-MM-DD format."
          },
          "publishedEndDate": {
            "type": "string",
            "format": "date",
            "description": "Ending date to search for scoops based on publication date. Form a range using publishedStartDate. Uses YYYY-MM-DD format."
          },
          "updatedSinceCreation": {
            "type": "boolean",
            "description": "Default is false. Setting true will only return scoops that have been updated since publishedStartDate."
          },
          "scoopType": {
            "type": "string",
            "description": "Retrieve scoops based on type (e.g. earnings, awards and partnerships). Accepts a comma-separated list of IDs from the lookup endpoint."
          },
          "scoopTopic": {
            "type": "string",
            "description": "Retrieve scoops based on topic (e.g. integration, consolidation and compliance). Accepts a comma-separated list of IDs from the lookup endpoint."
          },
          "department": {
            "type": "string",
            "description": "Retrieve scoops based on department (IT, finance, HR and so on). See the Scoop Departments lookup endpoint for valid inputs.."
          },
          "scoopId": {
            "type": "string",
            "description": "ZoomInfo unique identifier for a Scoop. Accepts a comma-separated list."
          },
          "description": {
            "type": "string",
            "description": "Search for scoops based on description.  Accepts a space-separated list of individual words."
          },
          "companyId": {
            "type": "string",
            "description": "ZoomInfo unique identifier for the company. Will accept a comma-separated list."
          },
          "companyName": {
            "type": "string",
            "description": "Company name."
          },
          "companyWebsite": {
            "type": "string",
            "description": "Company website URL in http://www.example.com format. Accepts a comma-separated list."
          }
        },
        "description": "Scoop enrich request attributes."
      },
      "ScoopEnrichRequestResource": {
        "type": "object",
        "required": [
          "type",
          "attributes"
        ],
        "properties": {
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "ScoopEnrich",
            "pattern": "ScoopEnrich"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ScoopEnrichRequestAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Scoop enrich request resource."
      },
      "ScoopEnrichRequest": {
        "type": "object",
        "required": [
          "data"
        ],
        "properties": {
          "data": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ScoopEnrichRequestResource"
              }
            ],
            "description": "The primary data of the document"
          }
        },
        "description": "Scoop enrich request."
      }
    },
    "securitySchemes": {
      "OAuth2Auth": {
        "type": "oauth2",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://login.zoominfo.com",
            "tokenUrl": "https://okta-login.zoominfo.com/oauth2/default/v1/token",
            "scopes": {
              "api:data:contact": "Ability to search and enrich ZoomInfo Contact data",
              "api:data:company": "Ability to search and enrich ZoomInfo Company data",
              "api:data:intent": "Ability to search and enrich ZoomInfo Intent data",
              "api:data:news": "Ability to search and enrich ZoomInfo News data",
              "api:data:scoops": "Ability to search and enrich ZoomInfo Scoop data",
              "api:data:lookup": "Lookup ZoomInfo Data"
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.zoominfo.com/gtm",
      "description": "Base URL for the Data API"
    }
  ]
}
```

# Sibling pages

* [Enrich Contacts](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichcontact.md)
* [Enrich Companies](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichcompany.md)
* [Enrich Corporate Hierarchy](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichcorporatehierarchy.md)
* [Enrich Intent](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichintent.md)
* [Enrich News](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichnews.md)
* [Enrich Org Charts](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichorgchart.md)
* [Enrich Technologies](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichtechnology.md)
* [Enrich Hashtags](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichhashtag.md)